[New-bugs-announce] [issue8629] Fix test_ssl failures under 2.6/3.1 with OpenSSL 1.0.0

Antoine Pitrou report at bugs.python.org
Wed May 5 18:20:39 CEST 2010

New submission from Antoine Pitrou <pitrou at free.fr>:

OpenSSL 1.0.0 needs to change the cipher list for some test_ssl tests to succeed, but the cipher list can't be changed in 2.6/3.1 (maintenance branches). The solution is to skip these tests with the newer OpenSSLs.

This patch uses the "openssl" executable to fetch the OpenSSL version, but we could instead backport OPENSSL_VERSION_* from trunk, at least as  undocumented attributes. What do you think?

components: Tests
files: sslfix.patch
keywords: patch
messages: 105055
nosy: giampaolo.rodola, janssen, pitrou
priority: normal
severity: normal
stage: patch review
status: open
title: Fix test_ssl failures under 2.6/3.1 with OpenSSL 1.0.0
type: behavior
versions: Python 2.6, Python 3.1
Added file: http://bugs.python.org/file17224/sslfix.patch

Python tracker <report at bugs.python.org>

More information about the New-bugs-announce mailing list